Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security
Class X509

    java.lang.Object
      |
      +--weblogic.security.Certificate
            |
            +--weblogic.security.X509

Deprecated. Deprecated in WebLogic Server 7.0.

public final class X509
extends Certificate
implements Streamable, java.io.Serializable

DER encoded X.509 certificate class.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Certificate`, Serialized Form

Field Summary
`static java.lang.String` | `CERT_BAD_SIGNATURE` Deprecated.
`static java.lang.String` | `CERT_CORRUPT_SIGNATURE` Deprecated.
`static java.lang.String` | `CERT_EXPIRED` Deprecated.
`static java.lang.String` | `CERT_NOT_VALID_UNTIL` Deprecated. If this certificate is invalid, explain why.
`protected byte[]` | `contents` Deprecated.
`protected byte[]` | `fingerprint` Deprecated.
`protected X500Name` | `issuer` Deprecated.
`protected X509` | `issuerCertificate` Deprecated.
`protected java.util.Date` | `notAfterDate` Deprecated.
`protected java.util.Date` | `notBeforeDate` Deprecated.
`protected java.math.BigInteger` | `serial` Deprecated.

Fields inherited from class weblogic.security.Certificate
`holder, key, validated`

Constructor Summary
`X509()` Deprecated.
`X509(java.io.File file)` Deprecated.
`X509(java.io.InputStream is)` Deprecated.
`X509(java.net.URL url)` Deprecated.

Method Summary
`java.lang.String` | `explain()` Deprecated.
`byte[]` | `getBytes()` Deprecated.
`byte[]` | `getFingerprint()` Deprecated.
`X500Name` | `getIssuer()` Deprecated.
`X509` | `getIssuerCertificate()` Deprecated.
`java.util.Date` | `getNotAfterDate()` Deprecated.
`java.math.BigInteger` | `getSerialNumber()` Deprecated.
`X500Name` | `getSubject()` Deprecated.
`void` | `initialize(java.io.InputStream is)` Deprecated. Initialize the certificate from the specified input stream.
`void` | `input(java.io.InputStream IS)` Deprecated.
`int` | `length()` Deprecated.
`void` | `output(java.io.OutputStream os)` Deprecated.
`void` | `save(java.io.OutputStream os)` Deprecated.
`void` | `setIssuerCertificate(X509 ic)` Deprecated.
`java.lang.String` | `toString()` Deprecated.
`boolean` | `verify()` Deprecated.
`boolean` | `verifyDate()` Deprecated.
`boolean` | `verifySignature()` Deprecated.

Methods inherited from class weblogic.security.Certificate
`getHolder, getKey, initialize, initialize, valid`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### contents

    protected byte[] contents

  Deprecated.

### fingerprint

    protected byte[] fingerprint

  Deprecated.

### issuer

    protected X500Name issuer

  Deprecated.

### issuerCertificate

    protected X509 issuerCertificate

  Deprecated.

### notBeforeDate

    protected java.util.Date notBeforeDate

  Deprecated.

### notAfterDate

    protected java.util.Date notAfterDate

  Deprecated.

### serial

    protected java.math.BigInteger serial

  Deprecated.

### CERT_NOT_VALID_UNTIL

    public static java.lang.String CERT_NOT_VALID_UNTIL

  Deprecated.
  If this certificate is invalid, explain why. Otherwise, return null.

### CERT_EXPIRED

    public static java.lang.String CERT_EXPIRED

  Deprecated.

### CERT_BAD_SIGNATURE

    public static java.lang.String CERT_BAD_SIGNATURE

  Deprecated.

### CERT_CORRUPT_SIGNATURE

    public static java.lang.String CERT_CORRUPT_SIGNATURE

  Deprecated.

Constructor Detail

### X509

    public X509()

  Deprecated.

### X509

    public X509(java.io.InputStream is)
         throws KeyManagementException

  Deprecated.

### X509

    public X509(java.io.File file)
         throws KeyManagementException

  Deprecated.

### X509

    public X509(java.net.URL url)
         throws KeyManagementException

  Deprecated.

Method Detail

### initialize

    public void initialize(java.io.InputStream is)
                    throws KeyManagementException

  Deprecated.
  Initialize the certificate from the specified input stream.

  Overrides:
    initialize in class Certificate

### save

    public void save(java.io.OutputStream os)

  Deprecated.

  Overrides:
    save in class Certificate

### input

    public void input(java.io.InputStream IS)
               throws java.io.IOException

  Deprecated.
  Specified by:
    input in interface Streamable

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Deprecated.
  Specified by:
    output in interface Streamable

### length

    public int length()

  Deprecated.
  Specified by:
    length in interface Streamable

### verify

    public boolean verify()
                   throws KeyManagementException,
                          AuthenticationException

  Deprecated.

  Overrides:
    verify in class Certificate

### explain

    public java.lang.String explain()

  Deprecated.

### verifyDate

    public boolean verifyDate()

  Deprecated.

### getNotAfterDate

    public java.util.Date getNotAfterDate()

  Deprecated.

### verifySignature

    public boolean verifySignature()
                            throws KeyManagementException,
                                   AuthenticationException

  Deprecated.

### getIssuer

    public X500Name getIssuer()

  Deprecated.

### getSubject

    public X500Name getSubject()

  Deprecated.

### setIssuerCertificate

    public void setIssuerCertificate(X509 ic)

  Deprecated.

### getIssuerCertificate

    public X509 getIssuerCertificate()

  Deprecated.

### getFingerprint

    public byte[] getFingerprint()

  Deprecated.

### getBytes

    public byte[] getBytes()

  Deprecated.

### toString

    public java.lang.String toString()

  Deprecated.

  Overrides:
    toString in class java.lang.Object

### getSerialNumber

    public java.math.BigInteger getSerialNumber()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD